## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNumber Class Reference

Inheritance diagram for XNumber:

[legend]
Collaboration diagram for XNumber:

[legend]
List of all members.

## Public Member Functions

- XNumber (double val, MemoryManagerType &theManager)
    Create an XNumber from a number.
- XNumber (const XNumber &source, MemoryManagerType &theManager)
- virtual ~XNumber ()
- virtual double num () const
    Cast result object to a number.
- virtual const XalanDOMString & str () const
    Cast result object to a string.
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance.
- virtual void str (XalanDOMString &theBuffer) const
    Append the string value directly a string.
- virtual double stringLength () const
    Get the length of the string value of the instance..
- void set (double theValue)
    Change the value of an XNumber.

## Constructor & Destructor Documentation

XNumber::XNumber | ( | double | val,
|  | MemoryManagerType & | theManager
| ) |

  | Create an XNumber from a number. Parameters:
  val | numeric value to use

XNumber::XNumber | ( | const XNumber & | source,
|  | MemoryManagerType & | theManager
| ) |

virtual XNumber::~XNumber | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual double XNumber::num | ( |  | ) | const`[virtual]`

| Cast result object to a number. Returns: numeric value Implements XNumberBase.

void XNumber::set | ( | double | theValue | ) |

  | Change the value of an XNumber. Parameters:
  theValue | The new value.

virtual void XNumber::str | ( | XalanDOMString & | theBuffer | ) | const`[virtual]`

  | Append the string value directly a string. Parameters:
  theBuffer | The buffer for the data
Reimplemented from XObject.

virtual void XNumber::str | ( | FormatterListener & | formatterListener,
|  | MemberFunctionPtr | function
| ) | const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Implements XNumberBase.

virtual const XalanDOMString& XNumber::str | ( |  | ) | const`[virtual]`

| Cast result object to a string. Returns: string value Implements XNumberBase.

virtual double XNumber::stringLength | ( |  | ) | const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Implements XNumberBase.

The documentation for this class was generated from the following file:

- XNumber.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.